package net.noderunner.amazon.s3;

import static org.junit.Assert.*;

import org.junit.Test;


public class EntryTest {

	@Test
	public void testEntry() {
		Entry a = new Entry("A");
		Entry b = new Entry("B");
		Entry a1 = new Entry("A");
		assertEquals(a, a1);
		assertEquals(a.hashCode(), a1.hashCode());
		assertEquals("A", a1.getKey());
		assertEquals("A", a1.toString());
		assertEquals(false, a.equals(b));
		assertEquals(-1, a.compareTo(b));
		assertEquals(null, a.getStorageClass());
	}
}
